MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024430Open CASCADE[OCCT] OCCT:DRAWpublic2013-12-03 12:082014-11-11 12:52
Reportermkv 
Assigned Toapn 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024430: vviewlist draw command does not added name of viewer created by XShow draw command
Descriptionvviewlist draw command does not added name of viewer created by XShow draw command.

It is necessary to migrate XShow command to the new DRAW 3D view management system.
Steps To Reproducesee test case for 0023921
TagsNo tags attached.
Test case numberbugs xde bug24430
Attached Files

- Relationships
related to 0023670closedaba Open CASCADE Support for multiple 3D views 
child of 0023921closedbugmaster Community IGES reader cannot map subshapes colors inside nested assemblies 

-  Notes
(0029309)
kgv (developer)
2014-05-13 21:53

Patch is ready for review in branch CR24430.
(0029350)
san (developer)
2014-05-15 16:05

Branch CR24430 reviewed without remarks, ready for testing.
(0029432)
apn (administrator)
2014-05-21 12:52

Dear BugMaster,

Branch CR24430 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: de8d07dbc2d2ec2519b175b7469ec63d2eb58311

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
bugs xde bug24430 - OK
http://occt-tests/CR24430-master-occt/Debian60-64/bugs/xde/bug24430.html [^]
http://occt-tests/CR24430-master-occt/Windows-32-VC9/bugs/xde/bug24430.html [^]

Testing on Linux:
Total MEMORY difference: 356736056 / 357284448
Total CPU difference: 54556.34000000021 / 56363.099999999926

Testing on Windows:
Total MEMORY difference: 379017528 / 379541292
Total CPU difference: 44562.21875 / 35502.953125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 0e93d9e5
Timestamp: 2014-05-22 13:26:26
Author: kgv
Committer: apn
Details ] Diff ]
0024430: vviewlist draw command does not added name of viewer created by XShow draw command

Remove ViewerTest_Tool, keep only one unified way to create viewer using ViewerTest - ViewerTest::ViewerInit().
Remove test case bugs/vis/buc60851 and command BUC60851.
Added test case bugs/xde/bug24430
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd_AISPresentationCommands.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd_AISViewerCommands.cxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
rm - src/ViewerTest/ViewerTest_Tool.cdl Diff ] File ]
rm - src/ViewerTest/ViewerTest_Tool.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
rm - tests/bugs/vis/buc60851 Diff ] File ]
add - tests/bugs/xde/bug24430 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-03 12:08 mkv New Issue
2013-12-03 12:08 mkv Assigned To => san
2013-12-03 12:19 san Assigned To san => aba
2013-12-03 12:19 san Priority normal => low
2013-12-03 12:19 san Severity major => minor
2013-12-03 12:19 san Status new => assigned
2013-12-03 12:19 san Category OCCT:Visualization => OCCT:DRAW
2013-12-03 12:19 san Target Version => 6.7.1
2013-12-03 12:19 san Description Updated View Revisions
2013-12-03 12:20 san Relationship added related to 0023670
2013-12-03 12:31 kgv Product Version => 6.7.0
2013-12-03 14:57 mkv Relationship added child of 0023921
2014-04-04 18:32 abv Target Version 6.7.1 => 6.8.0
2014-05-13 20:26 kgv Assigned To aba => kgv
2014-05-13 21:53 kgv Note Added: 0029309
2014-05-13 21:53 kgv Assigned To kgv => san
2014-05-13 21:53 kgv Status assigned => resolved
2014-05-15 16:05 san Note Added: 0029350
2014-05-15 16:05 san Assigned To san => bugmaster
2014-05-15 16:05 san Status resolved => reviewed
2014-05-19 14:15 apn Assigned To bugmaster => apn
2014-05-21 12:52 apn Note Added: 0029432
2014-05-21 12:52 apn Test case number => bugs xde bug24430
2014-05-21 12:52 apn Assigned To apn => bugmaster
2014-05-21 12:52 apn Status reviewed => tested
2014-05-23 14:25 apn Changeset attached => occt master 0e93d9e5
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker